%global _empty_manifest_terminate_build 0
Name:           python-service-identity
Version:        18.1.0
Release:        1
Summary:        Service identity verification for pyOpenSSL & cryptography.
License:        MIT
URL:            https://github.com/pyca/service_identity
Source0:        https://github.com/pyca/service_identity/archive/%{version}/service-identity-%{version}.tar.gz
BuildArch:      noarch
%description
Service_identity aspires to give you all the tools you need for
verifying whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other
relevant RFCs too.

%package -n python3-service-identity
Summary:        Service identity verification for pyOpenSSL & cryptography.
Provides:       python-service-identity
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-attrs
BuildRequires:  python3-pyasn1-modules
BuildRequires:  python3-pyasn1
BuildRequires:  python3-cryptography
BuildRequires:  python3-coverage
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
BuildRequires:  python3-idna
BuildRequires:  python3-pyOpenSSL
BuildRequires:  python3-sphinx
BuildRequires:  python3-idna
# Tests running requires
BuildRequires:  python3-coverage
BuildRequires:  python3-pytest
# General requires
Requires:       python3-attrs
Requires:       python3-pyasn1-modules
Requires:       python3-pyasn1
Requires:       python3-cryptography
Requires:       python3-coverage
Requires:       python3-pytest
Requires:       python3-sphinx
Requires:       python3-idna
Requires:       python3-pyOpenSSL
Requires:       python3-sphinx
Requires:       python3-idna
# Tests running requires
Requires:       python3-coverage
Requires:       python3-pytest
%description -n python3-service-identity
Service_identity aspires to give you all the tools you need for
verifying whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other
relevant RFCs too.
Python 3 version.

%package help
Summary:        Service identity verification for pyOpenSSL & cryptography.
Provides:       python3-service-identity-doc
%description help
 Service Identity Verification.

%prep
%autosetup -n service-identity-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v

%files -n python3-service-identity -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 01 2022 OpenStack_SIG <openstack@openeuler.org> - 18.1.0-1
- Upgrade package python3-service-identity to version 18.1.0

* Thu Jul 22 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 16.0.0-13
- Drop python2 support

* Thu Feb 27 2020 duyeyu <duyeyu@huawei.com> - 16.0.0-12
- Initial package.
